### Enumeration

# Phosh ShellStateFlags

#### Declaration

    flags Phosh.ShellStateFlags

#### Description [src]

These flags are used to keep track of the state the `PhoshShell` is in.

#### Members

`PHOSH_STATE_NONE`

  No other state.

  - Value: `0`
  - Available since: 0
`PHOSH_STATE_MODAL_SYSTEM_PROMPT`

  Any modal prompt shown.

  - Value: `1`
  - Available since: 0
`PHOSH_STATE_BLANKED`

  Primary display off.

  - Value: `2`
  - Available since: 0
`PHOSH_STATE_LOCKED`

  Displays locked.

  - Value: `4`
  - Available since: 0
`PHOSH_STATE_SETTINGS`

  Settings menu unfolded from top bar.

  - Value: `8`
  - Available since: 0
`PHOSH_STATE_OVERVIEW`

  Overview unfolded from bottom bar.

  - Value: `16`
  - Available since: 0